libetonyek::IWORKMetadataElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKMetadataElement Class Reference

`#include <IWORKMetadataElement.h>`

Inheritance diagram for libetonyek::IWORKMetadataElement:

## Public Member Functions
| IWORKMetadataElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
virtual IWORKXMLContextPtr_t | element (int name)
virtual void | endOfElement ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Attributes
boost::optional< std::string > | m_author
boost::optional< std::string > | m_title
boost::optional< std::string > | m_keywords
boost::optional< std::string > | m_comment

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKMetadataElement()

libetonyek::IWORKMetadataElement::IWORKMetadataElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKMetadataElement::element | ( | int | name | ) |
| protectedvirtual

## ◆ endOfElement()

void libetonyek::IWORKMetadataElement::endOfElement | ( |  | ) |
| protectedvirtual

## Member Data Documentation

## ◆ m_author

boost::optional<std::string> libetonyek::IWORKMetadataElement::m_author
| private

Referenced by element(), and endOfElement().

## ◆ m_comment

boost::optional<std::string> libetonyek::IWORKMetadataElement::m_comment
| private

Referenced by element(), and endOfElement().

## ◆ m_keywords

boost::optional<std::string> libetonyek::IWORKMetadataElement::m_keywords
| private

Referenced by element(), and endOfElement().

## ◆ m_title

boost::optional<std::string> libetonyek::IWORKMetadataElement::m_title
| private

Referenced by element(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKMetadataElement.h
- IWORKMetadataElement.cpp